Package com.independentsoft.office.drawing.extensions

# Class DataModelExtension

java.lang.Object
com.independentsoft.office.drawing.extensions.DataModelExtension

All Implemented Interfaces:
  `IExtensionContent`

public class DataModelExtension extends Object implements IExtensionContent
Represents the SmartArt data-model extension (`dsp:dataModelExt`) that references the pre-rendered diagram drawing part (drawingN.xml) through the HOST part's relationships (uri `http://schemas.microsoft.com/office/drawing/2008/diagram`).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `DSP_NAMESPACE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataModelExtension()`
  Instantiates a new data model extension.
  `DataModelExtension​(InternalXMLStreamReader reader)`
  Instantiates a new data model extension.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IExtensionContent`
  `clone()`
  Clone.
  `String`
  `getMinimumVersion()`
  Gets the minimum consumer version (`minVer`).
  `String`
  `getRelationshipId()`
  Gets the relationship id (`relId`) of the pre-rendered diagram drawing part, resolved against the HOST part's relationships.
  `void`
  `setMinimumVersion​(String minimumVersion)`
  Sets the minimum consumer version (`minVer`).
  `void`
  `setRelationshipId​(String relationshipId)`
  Sets the relationship id (`relId`) of the pre-rendered diagram drawing part, resolved against the HOST part's relationships.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DSP_NAMESPACE

    public static final String DSP_NAMESPACE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### DataModelExtension

    public DataModelExtension()
    Instantiates a new data model extension.

  - ### DataModelExtension

    public DataModelExtension​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new data model extension.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the XML stream exception

- ## Method Details

  - ### clone

    public IExtensionContent clone()
    Description copied from interface: `IExtensionContent`
    Clone.
    Specified by:
      `clone` in interface `IExtensionContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      the extension content

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getRelationshipId

    public String getRelationshipId()
    Gets the relationship id (`relId`) of the pre-rendered diagram drawing part, resolved against the HOST part's relationships.
    Returns:
      the relationship id

  - ### setRelationshipId

    public void setRelationshipId​(String relationshipId)
    Sets the relationship id (`relId`) of the pre-rendered diagram drawing part, resolved against the HOST part's relationships.
    Parameters:
      `relationshipId` - the new relationship id

  - ### getMinimumVersion

    public String getMinimumVersion()
    Gets the minimum consumer version (`minVer`).
    Returns:
      the minimum version

  - ### setMinimumVersion

    public void setMinimumVersion​(String minimumVersion)
    Sets the minimum consumer version (`minVer`).
    Parameters:
      `minimumVersion` - the new minimum version